pip DEPRECATION: Dependency Links processing has been deprecated and will be removed in a future release.

 If you are using dependency links in your non-public repos then you may receive this warning when using pip:
DEPRECATION: Dependency Links processing has been deprecated and will be removed in a future release.


But there is no need to worry: this change was reverted and dependency links will be available in future versions of pip until Metadata 2.0 exists (it will provide alternative to dependency links)